package com.fs.chat.mapper;

import java.util.List;
import com.fs.chat.domain.ChatUser;
import org.apache.ibatis.annotations.Select;

/**
 * 客户Mapper接口
 *
 * @author fs
 * @date 2024-05-11
 */
public interface ChatUserMapper
{
    /**
     * 查询客户
     *
     * @param userId 客户主键
     * @return 客户
     */
    public ChatUser selectChatUserByUserId(Long userId);

    /**
     * 查询客户列表
     *
     * @param chatUser 客户
     * @return 客户集合
     */
    public List<ChatUser> selectChatUserList(ChatUser chatUser);

    /**
     * 新增客户
     *
     * @param chatUser 客户
     * @return 结果
     */
    public int insertChatUser(ChatUser chatUser);

    /**
     * 修改客户
     *
     * @param chatUser 客户
     * @return 结果
     */
    public int updateChatUser(ChatUser chatUser);

    /**
     * 删除客户
     *
     * @param userId 客户主键
     * @return 结果
     */
    public int deleteChatUserByUserId(Long userId);

    /**
     * 批量删除客户
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatUserByUserIds(Long[] userIds);
    @Select("select * from chat_user where external_userid=#{external_userid}")
    ChatUser selectChatUserByExternalUserId(String external_userid);
}
